Subject: Removal of TTL shoulld be 2 from arch draft

From: Stewart Bryant <[email-masked]>
Date: Tue, 16 Nov 2004 23:21:03 +0000

This email is to check WG consensus for the removal
of the TTL = 2 recommendation from the following paragraph
from section 6.1 of
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-arch-07.txt

"When a MPLS label is used as a PW Demultiplexer setting of the TTL
  value [RFC3032] in the PW label is application specific, however in a
  strict point to point application the TTL should be set to 2."

This would now read:

"When a MPLS label is used as a PW Demultiplexer setting of the TTL
  value [RFC3032] in the PW label is application specific."

Reason for change
=================

The use of TTL=2 breaks PW stitching.

This is because typical MPLS forwarding hardware will decrement
the TTL in the PW multiplexing label at the stitching point and
cause the packet to become hop expired before reaching the
CE-bound PE, thus preventing a PW packet being delivered over
a stitched PW.

Note that the TTL=2 text was a "should" and therefore a
recommendation rather than a requirement.

I am told that this has already been discussed on the PWE3 list
but I can find no trace of the decision to remove the paragraph.
If anyone can find the discussion that would be helpful.

- Stewart

---

From: "Vach Kompella" <[email-masked]>
Date: Tue, 16 Nov 2004 18:41:51 -0800

I support this change.  I think it is more appropriate than the earlier
one because PW stitching involves pt2pt pseudo-wires.

-Vach 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Stewart Bryant
> Sent: Tuesday, November 16, 2004 3:21 PM
> To: pwe3
> Subject: [PWE3] Removal of TTL shoulld be 2 from arch draft
> 
> 

This would now read:

Reason for change
=================

This is because typical MPLS forwarding hardware will decrement the TTL
in the PW multiplexing label at the stitching point and cause the packet
to become hop expired before reaching the CE-bound PE, thus preventing a
PW packet being delivered over a stitched PW.

Note that the TTL=2 text was a "should" and therefore a recommendation
rather than a requirement.

I am told that this has already been discussed on the PWE3 list but I
can find no trace of the decision to remove the paragraph. If anyone can
find the discussion that would be helpful.

- Stewart

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Yaakov Stein" <[email-masked]>
Date: Wed, 17 Nov 2004 13:07:36 +0200

Stewart - 

just nits ...

1) Please add a comma before "setting".
2) the rules require "an MPLS", not "a MPLS" .
3) The TTL value is not in the "PW label", it is in the MPLS header.
    (The MPLS label is 20 bits out of the header),
    Actually, 3032 calls this a "label stack entry",
    but I think "header" is clear enough.

When the PW label is contained in an MPLS header [RFC3032],  
setting of the TTL value is application specific.

Y(J)S